#!/bin/bash
# (C) 2015 T.BAAR PRG INSTALLERS
# Website: http://t-baar.com

echo "Launching T.BAAR PRG Installer - http://t-baar.com"
echo ""
# Verifying root
FILE="/tmp/out.$$"
GREP="/bin/grep"
#....
# Make sure only root can run our script
if [ "$(id -u)" != "0" ]; then
   echo "Permission error, are you logged as root?" 1>&2
   exit 1
fi
#Verifying installation
if [ -d "/opt/sky3ds" ]; then
        echo 'Sky3ds Utility is already installed!'
        echo "If you want to reinstall this software, please launch the command sky3ds-uninstaller as root."
        exit 1
else
	echo ''
fi
# Verifying dependencies
echo "Is xterm installed?"
sleep 1
    #check if xterm is installed

if [ -f "/bin/xterm" ]; then
        echo 'Yes (/bin)'

elif [ -f "/usr/bin/xterm" ]; then
        echo 'Yes'
        
elif [ -f "/usr/bin/X11/xterm" ]; then
        echo 'Yes (X11 folder)'

elif [ -f "/usr/local/bin/xterm" ]; then
        echo 'Yes (Source-based)'
        
elif [ -f "/usr/local/bin/X11/xterm" ]; then
        echo 'Yes (SOurce-based, X11 folder)'
    #if neither are installed, quit
else 
        echo "Please install xterm then relaunch this installer" 1>&2
        exit 1
fi
sleep 0.5
echo ""
echo "Is python installed?"

    #check if python is installed
sleep 1
    if [ -f "/bin/python" ]; then
        echo 'Yes (/bin)'

elif [ -f "/usr/bin/python" ]; then
        echo 'Yes'

elif [ -f "/usr/local/bin/python" ]; then
        echo 'Yes (Source-based)'

    #if neither are installed, quit
    else 
        echo "Please install python then relaunch this installer" 1>&2
        exit 1
    fi
sleep 0.5
echo ""
echo "Is sudo installed?"

    #check if sudo is installed
sleep 1
    if [ -f "/bin/sudo" ]; then
        echo 'Yes (/bin)'

elif [ -f "/usr/bin/sudo" ]; then
        echo 'Yes'

elif [ -f "/usr/local/bin/sudo" ]; then
        echo 'Yes (Source-based)'

elif [ -f "/sbin/sudo" ]; then
        echo 'Yes (/sbin)'

elif [ -f "/usr/sbin/sudo" ]; then
        echo 'Yes (/usr/sbin)'

elif [ -f "/usr/local/sbin/sudo" ]; then
        echo 'Yes (Source-based ,sbin)'

    #if neither are installed, quit
    else 
        echo "Please install sudo then relaunch this installer" 1>&2
        exit 1
    fi
sleep 0.5
echo ""
echo "Is Tkinter installed?"

    #check if Tkinter is installed
sleep 1
    if [ -f "/usr/lib/python2.6/lib-dynload/_tkinter.so" ]; then
        echo 'Yes - Python 2.6'
        
    elif [ -f "/usr/lib64/python2.6/lib-dynload/_tkinter.so" ]; then
        echo 'Yes - Python 2.6 - 64bit'
    
    elif [ -f "/usr/lib/python2.7/lib-dynload/_tkinter.so" ]; then
        echo 'Yes - Python 2.7'
        
    elif [ -f "/usr/lib64/python2.7/lib-dynload/_tkinter.so" ]; then
        echo 'Yes - Python 2.7 - 64bit'
    
    elif [ -d "/usr/lib/python3.*/tkinter" ]; then
        echo 'Yes - Python 3'
        
    elif [ -d "/usr/lib64/python3.*/tkinter" ]; then
        echo 'Yes - Python 3 - 64bit'

    #if neither are installed, quit
    else 
        echo "Please install Tkinter (python-tk) then relaunch this installer" 1>&2
        exit 1
    fi
sleep 0.8
echo ""
echo "Running installer"
echo "0df25945c2f3cd4ebdabf43e11170958" > lib/.token
sleep 1
xterm -e bash lib/process.sh
rm -f lib/.token
if [ -f "lib/.token_bis" ]; then
        echo "Sky3DS has been successfully installed."
        rm -f lib/.token_bis
else 
        echo "Install failed of cancelled..." 1>&2 
        
fi
